# House
**Inherits:** [Store](/reference/lib--stores--store.html)
    
## Description

Type Entity id: String position: Vec3 rotation: Vec3 room: String interface: String



## Methods

| Returns                                                                   | Name                                                                                                      |
| ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| void                                                                      | [_init](#-init) (  )                                                                                      |
| void                                                                      | [clear](#clear) (  )                                                                                      |
| [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) | [get_room](#get-room) ( name: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) ) |





## Constants

### StoreClass = `<Object>` {#const-StoreClass}

No description provided yet.



## Method Descriptions

###  _init ( ) -> void {#-init}

No description provided yet.

###  clear ( ) -> void {#clear}

No description provided yet.

###  get_room (name: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)  ) -> [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#get-room}

No description provided yet.
